Attribute VB_Name = "modFind"
Option Explicit

Public glngSearchStart      As Long
Public gstrSearchString     As String
Public gstrReplaceWith      As String
Public gblnFindItemFound    As Boolean
Public gintRestartFind      As Integer
Public gblnReplacingAll     As Boolean
Public gblnMatchCase        As Boolean

'--------------------------------------------------------------------------
Public Sub FindNext()
'--------------------------------------------------------------------------

    Dim lngFoundPos     As Long
    Dim intResponse     As Integer

    lngFoundPos = InStr(glngSearchStart, _
                        frmTextEditor.txtEditor.Text, _
                        gstrSearchString, _
                        IIf(gblnMatchCase, vbBinaryCompare, vbTextCompare))

    If lngFoundPos = 0 Then
        gblnFindItemFound = False
        If gblnReplacingAll Then
            gintRestartFind = vbNo
        Else
            gintRestartFind = MsgBox("Item was not found between current cursor location and " _
                                   & "the end of the document. Do you want to restart the search " _
                                   & "at the top of the document?", _
                                     vbYesNo + vbQuestion, _
                                    "Find")
        End If
    Else
        frmTextEditor.txtEditor.SelStart = lngFoundPos - 1
        frmTextEditor.txtEditor.SelLength = Len(gstrSearchString)
        frmTextEditor.txtEditor.SetFocus
        glngSearchStart = lngFoundPos + Len(gstrSearchString)
        gblnFindItemFound = True
    End If
    
End Sub
