VERSION 5.00
Begin VB.Form frmFind 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   2190
   ClientLeft      =   4920
   ClientTop       =   5745
   ClientWidth     =   6315
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2190
   ScaleWidth      =   6315
   ShowInTaskbar   =   0   'False
   Begin VB.CheckBox chkMatchCase 
      Caption         =   "Match Case"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   960
      Width           =   2415
   End
   Begin VB.TextBox txtReplaceWith 
      Height          =   285
      Left            =   1200
      TabIndex        =   3
      Top             =   540
      Width           =   3615
   End
   Begin VB.CommandButton cmdReplaceAll 
      Caption         =   "Replace &All"
      Enabled         =   0   'False
      Height          =   375
      Left            =   4980
      TabIndex        =   7
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CommandButton cmdReplace 
      Caption         =   "&Replace"
      Enabled         =   0   'False
      Height          =   375
      Left            =   4980
      TabIndex        =   6
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox txtFindWhat 
      Height          =   285
      Left            =   1200
      TabIndex        =   1
      Top             =   120
      Width           =   3615
   End
   Begin VB.CommandButton cmdFindNext 
      Caption         =   "Find Next"
      Default         =   -1  'True
      Enabled         =   0   'False
      Height          =   375
      Left            =   4980
      TabIndex        =   5
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4980
      TabIndex        =   8
      Top             =   1560
      Width           =   1215
   End
   Begin VB.Label lblReplaceWith 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Replace with"
      Height          =   195
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   930
   End
   Begin VB.Label lblfindwhat 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Find what:"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "frmFind"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mblnActivated   As Boolean

'--------------------------------------------------------------------------
Private Sub Form_Activate()
'--------------------------------------------------------------------------
    
    If mblnActivated Then Exit Sub
    
    With txtFindWhat
        .Text = gstrSearchString
        .SelStart = 0
        .SelLength = Len(gstrSearchString)
        .SetFocus
    End With
    txtReplaceWith.Text = gstrReplaceWith
    chkMatchCase.Value = IIf(gblnMatchCase, vbChecked, vbUnchecked)
    
    If Me.Caption = "Find" Then
        lblReplaceWith.Visible = False
        txtReplaceWith.Visible = False
        chkMatchCase.Top = lblReplaceWith.Top
        cmdReplace.Visible = False
        cmdReplaceAll.Visible = False
        cmdCancel.Top = cmdReplace.Top
        Me.Height = Me.Height _
                  - (cmdReplace.Height + cmdReplaceAll.Height + 120)
    End If
                
    CenterForm Me

    MakeTopmost Me, True

    mblnActivated = True

End Sub

'--------------------------------------------------------------------------
Private Sub Form_Unload(Cancel As Integer)
'--------------------------------------------------------------------------

    Set frmFind = Nothing

End Sub

'--------------------------------------------------------------------------
Private Sub txtFindWhat_Change()
'--------------------------------------------------------------------------

    If Len(txtFindWhat.Text) > 0 Then
        cmdFindNext.Enabled = True
        cmdReplace.Enabled = True
        cmdReplaceAll.Enabled = True
    Else
        cmdFindNext.Enabled = False
        cmdReplace.Enabled = False
        cmdReplaceAll.Enabled = False
    End If
    
End Sub

'--------------------------------------------------------------------------
Private Sub cmdFindNext_Click()
'--------------------------------------------------------------------------

    Dim lngFoundPos     As Long
    Dim intResponse     As Integer
    Dim blnFindAgain    As Boolean
    
    gstrSearchString = txtFindWhat.Text
    
    gblnMatchCase = IIf(chkMatchCase.Value = vbChecked, True, False)
    
    Do

        MakeTopmost Me, False
        
        FindNext
        
        MakeTopmost Me, True
        
        blnFindAgain = False
        
        If Not gblnFindItemFound Then
            If gintRestartFind = vbYes Then
                glngSearchStart = 1
                blnFindAgain = True
            Else
                Unload Me
                Exit Sub
            End If
        End If

    Loop While blnFindAgain

End Sub

'--------------------------------------------------------------------------
Private Sub cmdReplace_Click()
'--------------------------------------------------------------------------

    glngSearchStart = frmTextEditor.txtEditor.SelStart + 1
    
    cmdFindNext_Click
    
    If gblnFindItemFound Then
        frmTextEditor.txtEditor.SelText = txtReplaceWith.Text
    End If
    
End Sub

'--------------------------------------------------------------------------
Private Sub cmdReplaceAll_Click()
'--------------------------------------------------------------------------

    Dim lngReplacementCount As Long

    gblnReplacingAll = True
    
    frmTextEditor.txtEditor.SelStart = 0
    
    Do
        cmdReplace_Click
        If gblnFindItemFound Then
            lngReplacementCount = lngReplacementCount + 1
        End If
    Loop While gblnFindItemFound
    
    MsgBox "Done searching the document. " _
         & lngReplacementCount & " replacements were made.", _
           vbInformation, _
           "Replace All"
    
    gblnReplacingAll = False
    
End Sub

'--------------------------------------------------------------------------
Private Sub cmdCancel_Click()
'--------------------------------------------------------------------------
    Unload Me
End Sub
